Apple Xcode GIT “git-imap-send” SSL证书校验安全漏洞

漏洞起因
设计错误
危险等级

影响系统
Apple Xcode 4.x

不受影响系统

危害
远程攻击者可以利用漏洞通过中间人攻击伪造服务器,获取敏感信息。
CVSSv2:

攻击所需条件
攻击者必须访问Apple Xcode。

漏洞信息
Apple Xcode是苹果系统上所使用的开发工具。
Apple Xcode “git-imap-send”没有正确校验SSL证书的域名是否与IMAP服务器主机名一致,允许远程攻击者利用漏洞通过中间人攻击伪造服务器,获取敏感信息。

测试方法
安全建议

厂商解决方案
Apple Xcode 5.0已经修改该漏洞,建议用户下载更新:
https://developer.apple.com/xcode/

漏洞提供者
apple